@import "../../../../node_modules/bootstrap/scss/bootstrap.scss";

.game-card:hover {
    @extend .shadow-lg;
}

.game-card {
    @extend .card;
    @extend .bg-dark;
    @extend .text-light;
    @extend .mt-2;
    @extend .text-center;
    @extend .rounded;
    width: 10rem;
    position: relative;
    animation-name: slide-in;
    animation-timing-function: ease-out;
    animation-duration: 3s;

    & .atq_pts, & .armor_pts {
        @extend .text-center;
        @extend .rounded;
        @extend .border;
        @extend .border-dark;
        @extend .font-weight-bold;
        @extend .h4;
        @extend .text-dark;
        position: absolute;
        width: 20%;
        top: 0;
    }
    & .atq_pts {
        @extend .bg-warning;
        left: 0;
    }

    & .armor_pts {
        @extend .bg-danger;
        right: 0;
    }
}

.game-card-caption {
    @extend .card-footer;
    @extend .py-0;
}

#arrow {
  z-index:1000;
  position: absolute;
  top:0;
  height: 100vh;
  width: 100vw;
}

.arrow{
  stroke:rgb(0,0,0);
  stroke-width:2; 
  marker-end:url(#markerArrow)
}

/* Media Query for Mobile Devices */
@media (max-width: 480px) {
    .card-container {
      grid-template-columns: repeat(2, 1fr);
    }
    .game-card {
        width: 6rem;
    }
  }
  /* Media Query for low resolution  Tablets, Ipads */
  @media (min-width: 481px) and (max-width: 767px) {
    .card-container {
      grid-template-columns: repeat(2, 1fr);
    }
    .game-card {
        width: 6rem;
    }
  }
  /* Media Query for Tablets Ipads portrait mode */
  @media (min-width: 768px) and (max-width: 1024px) {
    .card-container {
      grid-template-columns: repeat(3, 1fr);
    }
    .game-card {
        width: 7rem;
    }
  }
  /* Media Query for Laptops and Desktops */
  @media (min-width: 1025px) and (max-width: 1280px) {
    .card-container {
      grid-template-columns: repeat(3, 1fr);
    }
    .game-card {
        width: 8rem;
    }
  }

  @media (max-width: 1280px) {
    .game-card {
        font-size: 15px;
        & .atq_pts, & .armor_pts {
            font-size: 15px;
            width: 25%;
        }
    }
}